# Disable debug rpm on EPEL/CentOS Stream
%global debug_package %{nil}

# https://github.com/QubitProducts/exporter_exporter
%global goipath         github.com/QubitProducts/exporter_exporter
Version:                0.5.0

%gometa

%global common_description %{expand:
This provides a simple reverse proxy for prometheus exporters. It is intended as a single binary alternative to nginx/apache for use in environments where opening multiple TCP ports to all servers might be difficult (technically or politically).}

%global golicenses      LICENSE


Name:               exporter_exporter
Release:            2%{?dist}
Summary:            A reverse proxy designed for Prometheus exporters
URL:                %{gourl}
License:            Apache-2.0

Source0:            %{gosource}
Source1:            exporter_exporter.service
Source2:            expexp.yml

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd


%description
%{common_description}

#%%gopkg

%prep
%autosetup -n exporter_exporter-%{version}

%build
go mod vendor
CGO_ENABLED=0 go build -buildmode pie -compiler gc '-tags=rpm_crashtraceback' -ldflags '-X %{goipath}/version=%{version} -compressdwarf=false -s -w' -o %{gobuilddir}/bin/%{name} %{goipath}

%install
install -D -p -m 0755 %{gobuilddir}/bin/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/systemd/system/%{name}.service
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/expexp.yml

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_prefix}/lib/systemd/system/%{name}.service
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/expexp.yml
